Index: drivers/scsi/st.c
===================================================================
--- drivers/scsi/st.c	(.../trunk/cernlinux)	(revision 17)
+++ drivers/scsi/st.c	(.../branches/cernlinux/tape_timeout)	(revision 17)
@@ -133,8 +133,11 @@
 #define MAX_READY_RETRIES 5
 #define NO_TAPE  NOT_READY
 
-#define ST_TIMEOUT (900 * HZ)
-#define ST_LONG_TIMEOUT (14000 * HZ)
+/* Rewrite timeout value for readability.
+ * Shortened Long timeout from 3.9 hrs to 1 hr.
+ * Originally by Fabien Collin. */
+#define ST_TIMEOUT (15 * 60 * HZ)
+#define ST_LONG_TIMEOUT (60 * 60 * HZ)
 
 #define TAPE_NR(x) (MINOR(x) & ~(128 | ST_MODE_MASK))
 #define TAPE_MODE(x) ((MINOR(x) & ST_MODE_MASK) >> ST_MODE_SHIFT)
